List tiers
curl --request GET \
--url https://api.scrip.dev/v1/programs/{programId}/tiers \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scrip.dev/v1/programs/{programId}/tiers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scrip.dev/v1/programs/{programId}/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"archived_at": "2024-03-01T00:00:00Z",
"created_at": "2024-01-15T10:30:00Z",
"display_name": "Loyalty Status",
"id": "550e8400-e29b-41d4-a716-446655440000",
"key": "status",
"levels": [
{
"benefits": {},
"color": "#FFD700",
"created_at": "2024-01-15T10:30:00Z",
"display_name": "Gold",
"icon_url": "https://example.com/icons/gold.png",
"id": "550e8400-e29b-41d4-a716-446655440002",
"key": "gold",
"qualification": {
"criteria": [
{
"counter": "nights",
"operator": ">=",
"threshold": 25
}
],
"mode": "ALL"
},
"rank": 2,
"updated_at": "2024-01-15T10:30:00Z"
}
],
"lifecycle": {
"counters": {
"qualifying": [
"<string>"
],
"rollover": "EXCESS"
},
"downgrade_policy": {
"mode": "DROP_ONE",
"grace_days": 30,
"min_level": "silver"
},
"qualification_period": {
"type": "FIXED_YEAR",
"start_day": 1,
"start_month": 2
},
"retention": {
"mode": "ACTIVITY_REFRESH",
"duration": "90d"
},
"status_validity": {
"extend_months": 1
}
},
"program_id": "550e8400-e29b-41d4-a716-446655440001",
"status": "ACTIVE",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "YWJjMTIz"
}
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}Tiers
List tiers
Returns all tiers and their levels for the given program.
GET
/
v1
/
programs
/
{programId}
/
tiers
List tiers
Returns all tiers and their levels for a program. Each tier in the response includes its full configuration:
levels, qualification criteria, and lifecycle settings.
To retrieve the full definition of a single tier, use the get endpoint with its key instead.
For usage patterns and examples, see the Tiers guide.
Authorizations
ApiKeyAuthBearerAuth
API key passed in the X-API-Key header.
Path Parameters
Program ID
⌘I